Skip to main content

batchCreateOrUpdateFindings

Batch Create or Update findings (SAST, SCA, DAST, etc) for one or more assets

batchCreateOrUpdateFindings(
input: BatchCreateOrUpdateFindingsInput!
): BatchCreateOrUpdateFindingsPayload

Arguments​

batchCreateOrUpdateFindings.input ● BatchCreateOrUpdateFindingsInput! non-null input​

Parameters for BatchCreateOrUpdateFindings

Type​

BatchCreateOrUpdateFindingsPayload object​

Autogenerated return type of BatchCreateOrUpdateFindings.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateBatchCreateOrUpdateFindings($input: BatchCreateOrUpdateFindingsInput!) {\n batchCreateOrUpdateFindings(input: $input) { clientMutationId findingErrors { code index message } issues { id title status } }\n}","variables":{"input":{"findings":[{"assetId":"<asset_id>"}]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute